LIQUIDCTL(8)

NAME
liquidctl - monitor and control liquid coolers and other devices

SYNOPSIS
liquidctl [options] list
liquidctl [options] initialize [all]
liquidctl [options] status
liquidctl [options] set channel speed (temperature percentage) ...
liquidctl [options] set channel speed percentage
liquidctl [options] set channel color mode [color ...]
liquidctl --version
liquidctl --help

DESCRIPTION
liquidctl is a utility for overseeing and controlling some hardware monitoring devices not yet supported at the kernel level. Because liquidctl directly accesses the hardware devices, root privileges are generally required, though this can be avoided with appropriate udev rules.

liquidctl list outputs all compatible devices found on the system. In case more than one device is found, the desired one can be selected for later invocations with --match=substring, where substring matches part of the desired device's description using a case insensitive comparison.

liquidctl list --verbose enables the display of additional identifiers and addresses that can also be used to select specific devices. These can be better suited for certain use cases, such as non-interactive scripts.

liquidctl initialize prepares a device for later commands, and most devices must be initialized after every boot or when resuming from a suspended state. Unless finer control is required, all devices can be initialized at once with liquidctl initialize all. Some devices may output some information at this stage.

liquidctl status displays the status of all devices that match the provided filtering options.

liquidctl set channel speed allows the user to set fan and pump speeds. These, depending on the device, can be set to fixed duty values, variable temperature–duty curves, or both.

liquidctl set channel color allows the user to configure and set lighting modes. Supported lighting modes and additional options vary by device and are listed in later sections of this manual. Each color can be specified as:

•   hexadecimal RGB with or without prefix '0x': ff7f3f;

•   decimal RGB triple, R,G,B ∊ [0, 255]: rgb(255,127,63);

•   hue-saturation-value HSV triple, H ∊ [0, 360], S,V ∊ [0, 100]: hsv(20,75,100);

•   hue-saturation-lightness HSL triple, H ∊ [0, 360], S,L ∊ [0, 100]: hsl(20,100,62).

liquidctl set channel screen allows the user to configure the LCD screen integrated into some AIO models.

liquidctl automatically detects when a kernel driver is bound to the device and, whenever possible, uses it instead of directly accessing the device. Alternatively, direct access to the device can be forced with --direct-access.

OPTIONS

  Device selection options
Devices can be selected using one or more values taken from list --verbose.

-m substring, --match=substring
    Filter devices by case insensitive substring of device description.

-n number, --pick=number
    Pick among many results for a given filter.

--vendor=id
    Filter devices by hexadecimal vendor id.

--product=id
    Filter devices by hexadecimal product id.

--release=number
    Filter devices by hexadecimal release number.

--serial=number
    Filter devices by serial number.

--bus=bus
    Filter devices by bus.

--address=address
    Filter devices by address in bus.

--usb-port=port
    Filter devices by USB port in bus.

-d index, --device=index
    (Deprecated), select device by listing index.

  Animation options
Some devices and animation modes support additional options.

--speed=value
    Abstract animation speed (device/mode specific).

--time-per-color=value
    Time to wait on each color (seconds).

--time-off=value
    Time to wait with the LED turned off (seconds).

--alert-threshold=number
    Threshold temperature for a visual alert (degrees Celsius).

--alert-color=color
    Color used by the visual high temperature alert.

--direction=string
    If the pattern should move forward or backward.

--start-led=number
    The first led to start the effect at.

--maximum-leds=number
    The number of LED's the effect should apply to.

  Other options

--fan-mode=channel:mode[,...]
    Set the fan modes.

--single-12v-ocp
    Enable single rail +12V OCP.

--pump-mode=mode
    Set the pump mode.

--temperature-sensor=number
    The temperature sensor number for the Commander Pro.

--legacy-690lc
    Use Asetek 690LC in legacy mode (old Krakens).

--non-volatile
    Store on non-volatile controller memory.

--direct-access
    Directly access the device despite kernel drivers.

--unsafe=features
    Comman-separated bleeding-edge features to enable.

-v, --verbose
    Output additional information.

-g, --debug
    Show debug information on stderr.

--json
    Output machine-readable JSON. Only supported with list, initialize and status.

--version
    Display the version number.

--help
    Show the embedded help.

EXIT STATUS
1 if there was an error, 0 otherwise.

ENVIRONMENT
If LANG is set to C, non-ASCII characters are escaped from the output of --json.

FILES

~/Library/Caches/liquidctl/*
    $XDG_RUNTIME_DIR/liquidctl/*, /var/run/liquidctl/*, /tmp/liquidctl/* Internal data used by some drivers.

EXAMPLE
liquidctl list --verbose
liquidctl initialize all
liquidctl --match kraken set pump speed 90
liquidctl --product 170e set led color fading 350017 ff2608
liquidctl status

DEVICE SPECIFICS

  Aquacomputer D5 Next

  Aquacomputer Farbwerk 360

  Aquacomputer Octo

  Aquacomputer Quadro
Cooling channels: (D5 Next): fan, pump; (Octo): fan[1-8]; (Quadro:) fan[1-4]; (Farbwerk 360:) not applicable.

Lighting channels: not yet supported.

  ASUS Ryujin II 360
Cooling channels: pump, fans, pump-fan, external-fans.

Screen: not yet supported.

  Corsair iCUE Elite Capellix H100i, H115i, H150i

  Corsair Commander Core

  Corsair Commander Core XT

  Corsair Commander ST
Cooling channels: fans, fan[1-6]; (only non-XT/Elite Capellix:) pump.

Lighting channels: not yet supported.

  Corsair Commander Pro

  Corsair Lighting Node Pro

  Corsair Lighting Node Core

  Corsair Obsidian 1000D
Cooling channels (only Commander Pro and Obsidian 1000D): sync, fan[1-6].

Where the fan connection types can be set with --fan-mode=channel:mode[,...], where the allowed modes are: off, dc, pwm.

Lighting channels: (only Lighting Node Core:) led; (only Commander Pro and Lighting Node Pro:) sync, led[1-2].
Mode | #colors
clear | 0
off | 0
fixed | 1
color_shift | 2
color_pulse | 2
color_wave | 2
visor | 2
blink | 2
marquee | 1
sequential | 1
rainbow | 0
rainbow2 | 0

When applicable the animation speed can be set with --speed=value, where the allowed values are: fast, medium, slow.

The animation direction can be set with --direction=value, where the allowed values are: forward or backward. --start-led=number, the first LED that the lighting effect should be for. --start-led=number, the first LED that the lighting effect should be for. --maximum-led=number, the number of LEDs that the lighting effect should applied to. --temperature-sensor=number, The temperature sensor that should be used to control the fan curves, probe 1 by default.

  Corsair Hydro H110i GT
Cooling channels: fan1, fan2.

Pump mode (initialize --pump-mode mode): quiet (default), extreme.

Lighting channels: not yet supported.

  Corsair Hydro H80i GT, H100i GTX, H110i GTX

  Corsair Hydro H80i v2, H100i v2, H115i

  EVGA CLC 120 (CL12), 240, 280, 360
Cooling channels: pump, fan.

Lighting channels: logo.
Mode | #colors | notes
rainbow | 0 | only available on EVGA coolers
fading | 2
blinking | 1
fixed | 1
blackout | 0 | no high-temperature alerts

The rainbow mode speed can be configured with --speed=[1–6]. The speed of the other modes is instead customized with --time-per-color (fading and blinking) and --time-off (blinking only).

All modes except blackout support a visual high-temperature alert configured with --alert-threshold and --alert-color.

All current settings can be saved on non-volatile on-board memory by passing --non-volatile to any write command. However, since write-cycles are limited, this option should be used sparingly.

  Corsair H100i Pro, H115i Pro, H150i Pro
Cooling channels: fan, fan[1–2]; (only H150i Pro:) fan3.

Pump mode (initialize --pump-mode mode): quiet, balanced (default), performance.

Lighting channel: logo.
Mode | #colors
alert | 3
shift | 2–4
pulse | 1–4
blinking | 1–4
fixed | 1

  Corsair Hydro H100i Platinum, H100i Platinum SE, H115i Platinum

  Corsair Hydro H60i Pro XT, H100i Pro XT, H115i Pro XT, H150i Pro XT

  Corsair Hydro H100i, H115i, H150i Elite RGB
Cooling channels: fan, fan[1–2]; (only H150i Pro XT/Elite RGB:) fan3.

Pump mode (initialize --pump-mode mode): quiet, balanced (default), extreme.

Lighting channels: sync, led.
Channel | Mode | #colors (Platinum) | #colors (Pro XT/Elite RGB) | #colors (Platinum SE)
led | off | 0 | 0 | 0
led | fixed | 1 | 1 | 1
led | super-fixed | 24 | 16 | 48

  MSI MPG Coreliquid K360
Cooling channels: fan1, fan2, fan3, fans, waterblock-fan, pump.

Lighting channels: sync.

LCD screens: lcd.

When applicable the animation speed can be set with --speed=value, where the allowed values are: 0, 1 and 2. The LCD screen settings can be controlled with the settings flag, that requires the arguments "brightness;direction" where an allowed brightness is an integer in the range 0-100, and orientations 0-3 correspond to the orientations up, right, down and left.

  NZXT Kraken X40, X60

  NZXT Kraken X31, X41, X61
Supports the same modes and options as a Corsair Hydro H80i GT (or similar), but requires --legacy-690lc to be passed on all invocations.

  NZXT Kraken M22

  NZXT Kraken X42, X52, X62, X72
Cooling channels (only X42, X52, X62, X72): pump, fan.

Lighting channels: logo, ring, sync.
Mode | logo | ring | #colors
off | yes | yes | 0
fixed | yes | yes | 1
super-fixed | yes | yes | 1–9
fading | yes | yes | 2–8
alternating | no | yes | 2
breathing | yes | yes | 1–8
super-breathing | yes | yes | 1–9
pulse | yes | yes | 1–8
tai-chi | no | yes | 2
water-cooler | no | yes | 0
loading | no | yes | 1
wings | no | yes | 1

When applicable the animation speed can be set with --speed=value, where the allowed values are: slowest, slower, normal, faster, fastest. The animation direction can be set with --direction=value, where the allowed values are: forward or backward.

  NZXT Kraken X53, X63, X73
Cooling channels: pump.

Lighting channels: external, ring, logo, sync.

  NZXT Kraken Z53, Z63, Z73
Cooling channels: pump, fan.

Lighting channels: external.

LCD screens: lcd.

  NZXT Kraken 2023 Standard, Elite

  NZXT Kraken 2024 Elite RGB
Cooling channels: pump, fan.

Lighting channels: none.

LCD screens: lcd.
Mode | #colors
off | 0
fixed | 1
fading | 2–8
super-fixed | 1–40
alternating-[3-6] | 1–2
pulse | 1–8
breathing | 1–8
super-breathing | 1–40
candle | 1
starry-night | 1
loading | 1
tai-chi | 1–2
water-cooler | 2
wings | 1

When applicable the animation speed can be set with --speed=value, where the allowed values are: slowest, slower, normal, faster, fastest. The animation direction can be set with --direction=value, where the allowed values are: forward or backward.

  Corsair HX750i, HX850i, HX1000i, HX1200i, HX1500i

  Corsair RM650i, RM750i, RM850i, RM1000i
Cooling channels: fan.

Lighting channels: none.

Setting a fixed fan speed changes the fan mode to software control. To revert back to hardware control, run initialize again.

(Experimental feature) The +12V rails normally function in multiple-rail mode. Single-rail mode can be selected by passing --single-12v-ocp to initialize. To revert back to multiple-rail mode, run initialize again without that flag.

  NZXT E500, E650, E850
Cooling channels: none (feature not supported yet).

Lighting channels: none.

  NZXT Grid+ V3
Cooling channels: fan[1–6], sync.

Lighting channels: none.

  NZXT Smart Device (V1)
Cooling channels: fan[1–3], sync.

Lighting channels: led.
Mode | #colors
off | 0
fixed | 1
super-fixed | 1–40
fading | 2–8
alternating | 2
breathing | 1–8
super-breathing | 1–40
pulse | 1–8
candle | 1
wings | 1

When applicable the animation speed can be set with --speed=value, where the allowed values are: slowest, slower, normal, faster, fastest. The animation direction can be set with --direction=value, where the allowed values are: forward or backward.

  NZXT Smart Device V2

  NZXT RGB & Fan Controller

  NZXT RGB & Fan Controller (3+6 channels)

  NZXT HUE 2

  NZXT HUE 2 Ambient

  NZXT H1 V2
Cooling channels (only Smart Device V2, RGB & Fan Controller and H1 V2): fan[1–3].

Lighting channels (all but H1 V2): led[1–2], sync.

Additional lighting channels (HUE 2): led[3–4].

Additional lighting channels (RGB & Fan Controller (3+6 channels)): led[3–6].
Mode | #colors
off | 0
fixed | 1
super-fixed | 1–40
fading | 2–8
alternating-[3-6] | 2
pulse | 1–8
breathing | 1–8
super-breathing | 1–40
candle | 1
starry-night | 1
wings | 1

When applicable the animation speed can be set with --speed=value, where the allowed values are: slowest, slower, normal, faster, fastest. The animation direction can be set with --direction=value, where the allowed values are: forward or backward.

  ASUS Strix GTX 1050 OC

  ASUS Strix GTX 1050 Ti OC

  ASUS Strix GTX 1060 6GB

  ASUS Strix GTX 1060 OC 6GB

  ASUS Strix GTX 1070

  ASUS Strix GTX 1070 OC

  ASUS Strix GTX 1070 Ti

  ASUS Strix GTX 1070 Ti Advanced

  ASUS Strix GTX 1080

  ASUS Strix GTX 1080 Advanced

  ASUS Strix GTX 1080 OC

  ASUS Strix GTX 1080 Ti

  ASUS Strix GTX 1080 Ti OC

  ASUS Strix GTX 1650 Super OC

  ASUS Strix GTX 1660 Super OC

  ASUS Strix GTX 1660 Ti OC

  ASUS Strix RTX 2060 Evo

  ASUS Strix RTX 2060 Evo OC

  ASUS Strix RTX 2060 OC

  ASUS Strix RTX 2060 Super

  ASUS Strix RTX 2060 Super Advanced

  ASUS Strix RTX 2060 Super Evo Advanced

  ASUS Strix RTX 2060 Super OC

  ASUS Strix RTX 2070

  ASUS Strix RTX 2070 Advanced

  ASUS Strix RTX 2070 OC

  ASUS Strix RTX 2070 Super Advanced

  ASUS Strix RTX 2070 Super OC

  ASUS Strix RTX 2080 OC

  ASUS Strix RTX 2080 Super Advanced

  ASUS Strix RTX 2080 Super OC

  ASUS Strix RTX 2080 Ti

  ASUS Strix RTX 2080 Ti OC

  ASUS TUF RTX 3060 Ti OC
Cooling channels: none.

Lighting channels: led.
Mode | #colors
off | 0
fixed | 1
flash | 1
breathing | 1
rainbow | 0

  Corsair Vengeance RGB
Cooling channels: none.

Lighting channels: led.
Mode | #colors
off | 0
fixed | 1
breathing | 1–7
fading | 2–7

When applicable the animation speed can be set with --speed=value, where the allowed values are: slowest, slower, normal, faster, fastest.

  ASUS Aura LED Controller
Cooling channels: none.

Lighting channels: led[1–4], sync.
Mode | #colors
off | 0
static | 1
breathing | 1
flashing | 1
spectrum_cycle | 0
rainbow | 0
spectrum_cycle_breathing | 0
chase_fade | 1
spectrum_cycle_chase_fade | 0
chase | 1
spectrum_cycle_chase | 0
spectrum_cycle_wave | 0
chase_rainbow_pulse | 0
rainbow_flicker | 0
gentle_transition | 0
wave_propagation | 0
wave_propagation_pause | 0
red_pulse | 0

  Gigabyte RGB Fusion 2.0 5702 Controller

  Gigabyte RGB Fusion 2.0 8297 Controller
Cooling channels: none.

Lighting channels: led[1–8], sync.
Mode | #colors
off | 0
fixed | 1
pulse | 1
(double-)?flash | 1
color-cycle | 0

When applicable the animation speed can be set with --speed=value, where the allowed values are: slowest, slower, normal, faster, fastest, ludicrous.

  EVGA GTX 1070 FTW

  EVGA GTX 1070 FTW DT Gaming

  EVGA GTX 1070 FTW Hybrid

  EVGA GTX 1070 Ti FTW2

  EVGA GTX 1080 FTW
Cooling channels: none.

Lighting channels: led.
Mode | #colors
off | 0
fixed | 1
breathing | 1
rainbow | 0

SEE ALSO
The complete documentation is available in the project's sources and homepage (https://github.com/liquidctl/liquidctl).